0

I had my server's IP address changed and now I can't login to Alfresco share or access server:8080/alfresco

Nothing else has change apart from IP address and an exemption through a firewall. Ports haven't changed.

Attempting to login at server:8080/share gives me:

"Your authentication details have not been recognized or Alfresco may not be available at this time."

And under server:8080/alfresco -

HTTP Status 404 - /alfresco 
type Status report

message /alfresco

description The requested resource is not available.

Still using these properties in alfresco-global.properties

alfresco.context=alfresco
alfresco.host=127.0.0.1
alfresco.port=8080
alfresco.protocol=http

share.context=share
share.host=127.0.0.1
share.port=8080
share.protocol=http

Part of today's catalina log is below. The IP change happened around 11.30-40am.. Any ideas?

Thanks!

Jun 04, 2014 11:29:51 AM org.apache.coyote.AbstractProtocol pause
INFO: Pausing ProtocolHandler ["http-bio-8080"]
Jun 04, 2014 11:29:51 AM org.apache.coyote.AbstractProtocol pause
INFO: Pausing ProtocolHandler ["ajp-bio-8009"]
Jun 04, 2014 11:29:51 AM org.apache.catalina.core.StandardService stopInternal
INFO: Stopping service Catalina
Jun 04, 2014 11:29:58 AM org.apache.coyote.AbstractProtocol stop
INFO: Stopping ProtocolHandler ["http-bio-8080"]
Jun 04, 2014 11:29:59 AM org.apache.coyote.AbstractProtocol stop
INFO: Stopping ProtocolHandler ["ajp-bio-8009"]
Jun 04, 2014 11:29:59 AM org.apache.coyote.AbstractProtocol destroy
INFO: Destroying ProtocolHandler ["http-bio-8080"]
Jun 04, 2014 11:29:59 AM org.apache.coyote.AbstractProtocol destroy
INFO: Destroying ProtocolHandler ["ajp-bio-8009"]
Jun 04, 2014 12:04:36 PM org.apache.catalina.core.AprLifecycleListener init
SEVERE: An incompatible version 1.1.27 of the APR based Apache Tomcat Native library is installed, while Tomcat requires version 1.1.29
Jun 04, 2014 12:04:37 PM org.apache.catalina.core.AprLifecycleListener init
SEVERE: An incompatible version 1.1.27 of the APR based Apache Tomcat Native library is installed, while Tomcat requires version 1.1.29
Jun 04, 2014 12:04:37 PM org.apache.catalina.core.AprLifecycleListener init
SEVERE: An incompatible version 1.1.27 of the APR based Apache Tomcat Native library is installed, while Tomcat requires version 1.1.29
Jun 04, 2014 12:04:37 PM org.apache.catalina.core.AprLifecycleListener init
SEVERE: An incompatible version 1.1.27 of the APR based Apache Tomcat Native library is installed, while Tomcat requires version 1.1.29
Jun 04, 2014 12:04:37 PM org.apache.catalina.core.AprLifecycleListener init
SEVERE: An incompatible version 1.1.27 of the APR based Apache Tomcat Native library is installed, while Tomcat requires version 1.1.29
Jun 04, 2014 12:04:37 PM org.apache.coyote.AbstractProtocol init
INFO: Initializing ProtocolHandler ["http-bio-8080"]
Jun 04, 2014 12:04:37 PM org.apache.coyote.AbstractProtocol init
INFO: Initializing ProtocolHandler ["ajp-bio-8009"]
Jun 04, 2014 12:04:37 PM org.apache.catalina.startup.Catalina load
INFO: Initialization processed in 1610 ms
Jun 04, 2014 12:04:37 PM org.apache.catalina.core.StandardService startInternal
INFO: Starting service Catalina
Jun 04, 2014 12:04:37 PM org.apache.catalina.core.StandardEngine startInternal
INFO: Starting Servlet Engine: Apache Tomcat/7.0.47
Jun 04, 2014 12:04:37 PM org.apache.catalina.startup.HostConfig deployWAR
INFO: Deploying web application archive /home/jo1hpc/alfresco-4.2.e-2/apache-tomcat/webapps/share.war
Jun 04, 2014 12:05:24 PM org.apache.catalina.util.SessionIdGenerator createSecureRandom
INFO: Creation of SecureRandom instance for session ID generation using [SHA1PRNG] took [22,999] milliseconds.
Jun 04, 2014 12:05:24 PM org.apache.catalina.startup.HostConfig deployWAR
INFO: Deploying web application archive /home/jo1hpc/alfresco-4.2.e-2/apache-tomcat/webapps/alfresco.war
Jun 04, 2014 12:09:32 PM org.apache.catalina.core.StandardContext startInternal
SEVERE: Error listenerStart
Jun 04, 2014 12:09:32 PM org.apache.catalina.core.StandardContext startInternal
SEVERE: Context [/alfresco] startup failed due to previous errors
Jun 04, 2014 12:09:32 PM org.apache.catalina.startup.HostConfig deployDirectory
INFO: Deploying web application directory /home/jo1hpc/alfresco-4.2.e-2/apache-tomcat/webapps/ROOT
Jun 04, 2014 12:09:32 PM org.apache.catalina.startup.HostConfig deployDirectory
INFO: Deploying web application directory /home/jo1hpc/alfresco-4.2.e-2/apache-tomcat/webapps/host-manager
Jun 04, 2014 12:09:32 PM org.apache.catalina.startup.HostConfig deployDirectory
INFO: Deploying web application directory /home/jo1hpc/alfresco-4.2.e-2/apache-tomcat/webapps/docs
Jun 04, 2014 12:09:32 PM org.apache.catalina.startup.HostConfig deployDirectory
INFO: Deploying web application directory /home/jo1hpc/alfresco-4.2.e-2/apache-tomcat/webapps/examples
Jun 04, 2014 12:09:34 PM org.apache.catalina.startup.HostConfig deployDirectory
INFO: Deploying web application directory /home/jo1hpc/alfresco-4.2.e-2/apache-tomcat/webapps/manager
Jun 04, 2014 12:09:34 PM org.apache.coyote.AbstractProtocol start
INFO: Starting ProtocolHandler ["http-bio-8080"]
Jun 04, 2014 12:09:34 PM org.apache.coyote.AbstractProtocol start
INFO: Starting ProtocolHandler ["ajp-bio-8009"]
Jun 04, 2014 12:09:34 PM org.apache.catalina.startup.Catalina start
INFO: Server startup in 296854 ms
Jun 04, 2014 12:29:52 PM org.apache.catalina.core.StandardServer await
INFO: A valid shutdown command was received via the shutdown port. Stopping the Server instance.
  • 1
    The messages in the catalina.out are pretty obvious. What have you done so far to resolve this? – Michael Hampton Jun 4 '14 at 15:38
  • haven't done anything really, I don't really know what the messages mean. – user3707565 Jun 4 '14 at 15:40
  • my best gues: you didn't fix name resolution on the host. maybe in the hosts your hostname is still registered with the old ip? – Heiko Robert Mar 4 '15 at 17:13
1

It looks like startup is failing:

SEVERE: An incompatible version 1.1.27 of the APR based Apache Tomcat Native library is installed, while Tomcat requires version 1.1.29

SEVERE: Context [/alfresco] startup failed due to previous errors

Try updating Tomcat Native: http://tomcat.apache.org/download-native.cgi

  • I feel silly, I hadn't updated my /etc/hosts file with the new IP address in! – user3707565 Jun 4 '14 at 16:58

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.